Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlSelectOneRadio

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          javax.faces.component.html.HtmlSelectOneRadio

All Implemented Interfaces:
  EditableValueHolder, StateHolder, ValueHolder

public class HtmlSelectOneRadio
extends UISelectOne

Version:
  $Revision: 210184 $ $Date: 2005-07-11 15:09:45 -0400 (Mon, 11 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`COMPONENT_FAMILY, INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlSelectOneRadio()`

Method Summary
`java.lang.String` | `getAccesskey()`
`int` | `getBorder()`
`java.lang.String` | `getDir()`
`java.lang.String` | `getDisabledClass()`
`java.lang.String` | `getEnabledClass()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getLayout()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getTitle()`
`boolean` | `isDisabled()`
`boolean` | `isReadonly()`
`void` | `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(FacesContext context)`
`void` | `setAccesskey(java.lang.String accesskey)`
`void` | `setBorder(int border)`
`void` | `setDir(java.lang.String dir)`
`void` | `setDisabled(boolean disabled)`
`void` | `setDisabledClass(java.lang.String disabledClass)`
`void` | `setEnabledClass(java.lang.String enabledClass)`
`void` | `setLang(java.lang.String lang)`
`void` | `setLayout(java.lang.String layout)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setOnselect(java.lang.String onselect)`
`void` | `setReadonly(boolean readonly)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTabindex(java.lang.String tabindex)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class javax.faces.component.UISelectOne
`getFamily, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlSelectOneRadio

    public HtmlSelectOneRadio()

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### getAccesskey

    public java.lang.String getAccesskey()

### setBorder

    public void setBorder(int border)

### getBorder

    public int getBorder()

### setDir

    public void setDir(java.lang.String dir)

### getDir

    public java.lang.String getDir()

### setDisabled

    public void setDisabled(boolean disabled)

### isDisabled

    public boolean isDisabled()

### setDisabledClass

    public void setDisabledClass(java.lang.String disabledClass)

### getDisabledClass

    public java.lang.String getDisabledClass()

### setEnabledClass

    public void setEnabledClass(java.lang.String enabledClass)

### getEnabledClass

    public java.lang.String getEnabledClass()

### setLang

    public void setLang(java.lang.String lang)

### getLang

    public java.lang.String getLang()

### setLayout

    public void setLayout(java.lang.String layout)

### getLayout

    public java.lang.String getLayout()

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnblur

    public java.lang.String getOnblur()

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOnchange

    public java.lang.String getOnchange()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnselect

    public void setOnselect(java.lang.String onselect)

### getOnselect

    public java.lang.String getOnselect()

### setReadonly

    public void setReadonly(boolean readonly)

### isReadonly

    public boolean isReadonly()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### getTabindex

    public java.lang.String getTabindex()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIInput`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIInput`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD